com.atid.lib.module.barcode.ssi.type

## Enum IntercharacterGapSize

- java.lang.Object
- - java.lang.Enum<IntercharacterGapSize>
  - - com.atid.lib.module.barcode.ssi.type.IntercharacterGapSize

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<IntercharacterGapSize>

      public enum IntercharacterGapSize
      extends java.lang.Enum<IntercharacterGapSize>
      implements IEnumType

  The Code 39 and Codabar symbologies have an intercharacter gap that is typically quite small. Due to various bar code-printing technologies, this gap can grow larger than the maximum size allowed, preventing the decoder from decoding the symbol. If this problem occurs, scan the Large Intercharacter Gaps parameter to tolerate these out-of-specification bar codes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Large`
    `Normal`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static IntercharacterGapSize` | `valueOf(int code)`
    `static IntercharacterGapSize` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IntercharacterGapSize[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Normal

          public static final IntercharacterGapSize Normal

    - #### Large

          public static final IntercharacterGapSize Large

  - ### Method Detail

    - #### values

          public static IntercharacterGapSize[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IntercharacterGapSize c : IntercharacterGapSize.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IntercharacterGapSize valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<IntercharacterGapSize>`

    - #### valueOf

          public static IntercharacterGapSize valueOf(int code)